Subject: Re: Bug in new Bison parser generator
From: "David Gluss" <[email-masked]>
To: "Stephan Mueller" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 31 Jan 2002 14:59:47 -0800

I'm at patch level 3 of Microsoft C++ 6.0.  I see they
are up to patch level 5, so I will update, try it again, and
report.

----- Original Message ----- 
From: "Stephan Mueller" <[email-masked]>
To: "David Gluss" <[email-masked]>
Sent: Thursday, January 31, 2002 1:21 PM
Subject: RE: Bug in new Bison parser generator

> Which Service Pack level?
> Also, I think it makes sense to keep this discussion on the cygwin list.
> 
> Thanks,
> stephan();
> 
> 
> -----Original Message-----
> From: David Gluss [mailto:[email-masked]] 
> Sent: Thursday, January 31, 2002 12:52 PM
> To: Stephan Mueller
> Subject: Re: Bug in new Bison parser generator
> 
> 
> VC6.0.
> DG
> 
> ----- Original Message ----- 
> From: "Stephan Mueller" <[email-masked]>
> To: "David Gluss" <[email-masked]>; <[email-masked]>
> Sent: Thursday, January 31, 2002 12:45 PM
> Subject: RE: Bug in new Bison parser generator
> 
> 
> > Could you be more specific on _which_ version Microsoft compiler you 
> > mean?
> > 
> > Thanks,
> > stephan(just an interested party; not speaking for Microsoft or having
> 
> > anything to do with the compiler);
> > 
> > 
> > -----Original Message-----
> > From: David Gluss [mailto:[email-masked]]
> > Sent: Thursday, January 31, 2002 12:34 PM
> > To: [email-masked]
> > Subject: Bug in new Bison parser generator
> > 
> > 
> > With version 1.31-1, Bison doesn't work with the Microsoft compiler.  
> > A small example is enclosed.  The problem is that Microsoft doesn't 
> > have size_t in the std:: namespace, or malloc.
> > 
> > Included also, a patch to fix bison.simple.
> > 
> > DG
> > 
> > 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/